/* prfile.h
 ==============================================================
 Modul-Interface: PRFILE (95/04/27)
 Copyright 1995:  Martin Weitzel, Darmstadt
 ==============================================================
*/

#ifndef PRFILE_h
#define PRFILE_h

#include <stdio.h>

typedef struct {
	FILE *file;
	void (*panic)(void);
} PRFILE;

#ifdef __cplusplus
extern "C" {
#endif

PRFILE *prfopen(	/* -- PRFILE oeffnen */
	const char *name,	/* Dateiname */
	const char *mode,	/* Oeffnungsmodus */
	void (*panic)(void)	/* Fehlerbehandlung */
);

/*PRINTFLIKE2*/
void prfprintf(		/* -- formatierte Ausgabe */
	PRFILE *prfp,		/* PRFILE-Pointer */
	const char *fmt,	/* Formatstring */
	...			/* weitere Parameter */
);

void prfflush(		/* -- Puffer leeren */
	PRFILE *prfp		/* PRFILE-Pointer */
);

void prfclose(		/* -- PRFILE schliessen */
	PRFILE *prfp		/* PRFILE-Pointer */
);

#ifdef __cplusplus
}
#endif

#endif
